.tlk-userbar *,
.tlk-userbar *::before,
.tlk-userbar *::after,
.tlk-userbar__popup *,
.tlk-userbar__popup *::before,
.tlk-userbar__popup *::after,
.tlk-menu *,
.tlk-menu *::before,
.tlk-menu *::after,
.tlk-popup *,
.tlk-popup *::before,
.tlk-popup *::after,
.tlk-switcher *,
.tlk-switcher *::before,
.tlk-switcher *::after {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

.tlk-userbar,
.tlk-userbar__popup,
.tlk-userbar__popup .tlk-menu,
.tlk-popup,
.tlk-switcher {
	letter-spacing: 0em;
	/*TODO: удалить при раскрытии шрифтов */
	font-family:
		'Arial',
		Roboto,
		'Open Sans',
		sans-serif,
		-apple-system,
		BlinkMacSystemFont,
		'Segoe UI',
		Oxygen,
		Cantarell,
		'Helvetica Neue';
}

.tlk-userbar img,
.tlk-userbar__popup img,
.tlk-menu img,
.tlk-popup img,
.tlk-switcher img {
	max-width: 100%;
	display: block;
	-o-object-fit: cover;
	object-fit: cover;
}

/* Поля */
[class*='tlk-input'],
[class*='tlk-textarea'] {
	font: inherit;
}

[class*='tlk-textarea'] {
	resize: none;
}

[class*='tlk-input'],
[class*='tlk-textarea'],
[class*='tlk-input']::-webkit-input-placeholder,
[class*='tlk-textarea']::-webkit-input-placeholder,
[class*='tlk-input']::-moz-placeholder,
[class*='tlk-textarea']::-moz-placeholder,
[class*='tlk-input']:-ms-input-placeholder,
[class*='tlk-textarea']:-ms-input-placeholder,
[class*='tlk-input']::-ms-input-placeholder,
[class*='tlk-textarea']::-ms-input-placeholder,
[class*='tlk-input']::placeholder,
[class*='tlk-textarea']::placeholder {
	font-family:
		'Arial',
		Roboto,
		'Open Sans',
		sans-serif,
		-apple-system,
		BlinkMacSystemFont,
		'Segoe UI',
		Oxygen,
		Cantarell,
		'Helvetica Neue';
	font-size: 16px;
	font-weight: 500;
	outline: none;
	resize: none;
	border-radius: 0;
	-webkit-border-radius: 0;
	-webkit-appearance: none;
	-webkit-transition: 0.3s ease;
	-o-transition: 0.3s ease;
	-moz-transition: 0.3s ease;
	-ms-transition: 0.3s ease;
	transition: 0.3s ease;
}

[class*='tlk-input']::placeholder,
[class*='tlk-textarea']::placeholder {
	color: rgba(204, 204, 204);
}

[class*='tlk-input']:active,
[class*='tlk-input']:focus,
[class*='tlk-textarea']:active,
[class*='tlk-textarea']:focus {
	outline: none !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
}

[class*='tlk-input']::-ms-clear,
[class*='tlk-textarea']::-ms-clear,
[class*='tlk-input']::-ms-reveal,
[class*='tlk-textarea']::-ms-reveal {
	display: none;
	width: 0;
	height: 0;
}

[class*='tlk-input']::-webkit-search-decoration,
[class*='tlk-textarea']::-webkit-search-decoration,
[class*='tlk-input']::-webkit-search-cancel-button,
[class*='tlk-textarea']::-webkit-search-cancel-button,
[class*='tlk-input']::-webkit-search-results-button,
[class*='tlk-textarea']::-webkit-search-results-button,
[class*='tlk-input']::-webkit-search-results-decoration,
[class*='tlk-textarea']::-webkit-search-results-decoration {
	display: none;
}

/* Кнопки */
[class*='tlk-btn_reset'] {
	margin: 0px;
	padding: 0px;
	border: none;
	color: inherit;
	background-color: transparent;
	font: inherit;
	cursor: pointer;
}

[class*='tlk-btn_reset']:active,
[class*='tlk-btn_reset']:focus {
	outline: none;
}

[class*='tlk-btn_reset']::-moz-focus-inner {
	border: 0;
}

/* Ссылки */
.tlk-menu a,
.tlk-switcher a,
[data-field='tlk-link'] {
	color: inherit;
	-webkit-transition: 0.3s ease;
	-o-transition: 0.3s ease;
	transition: 0.3s ease;
}

.tlk-menu a:hover,
.tlk-menu a:active,
.tlk-switcher a:hover,
.tlk-switcher a:active,
[data-field='tlk-link']:hover,
[data-field='tlk-link']:active {
	text-decoration: none;
	color: inherit;
}

.tlk-userbar svg,
.tlk-userbar__popup svg,
.tlk-menu svg,
.tlk-popup svg,
.tlk-switcher svg {
	-webkit-transition:
		fill 0.3s ease,
		-webkit-transform 0.3s ease;
	transition:
		fill 0.3s ease,
		-webkit-transform 0.3s ease;
	-o-transition:
		fill 0.3s ease,
		transform 0.3s ease;
	-webkit-transition:
		fill 0.3s ease,
		opacity 0.3s ease,
		-webkit-transform 0.3s ease;
	transition:
		fill 0.3s ease,
		opacity 0.3s ease,
		-webkit-transform 0.3s ease;
	-o-transition:
		fill 0.3s ease,
		transform 0.3s ease,
		opacity 0.3s ease;
	transition:
		fill 0.3s ease,
		transform 0.3s ease,
		opacity 0.3s ease;
	transition:
		fill 0.3s ease,
		transform 0.3s ease,
		opacity 0.3s ease,
		-webkit-transform 0.3s ease;
	transition:
		fill 0.3s ease,
		transform 0.3s ease,
		-webkit-transform 0.3s ease;
}

.tlk-menu iframe,
.tlk-menu video,
.tlk-popup iframe,
.tlk-popup video,
.tlk-switcher iframe,
.tlk-switcher video {
	display: block;
	border: none;
	outline: none;
}
